[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.RealGetText

Function to get a text-string associated with the control

## Declaration

Source position: controls.pp line 1174

`protected function TControl.RealGetText: TCaption; virtual;`

## Function result

The Function returns the required text as a string

## Description

This is the function that is actually used by GetTextBuf, and loads a string rather than performing read-write to a PChar buffer

## See also

GetTextBuf |  | Gets text associated with the control from a buffer
RealSetText |  | Procedure to store text associated with the control in a string
SetTextBuf |  | Stores text associated with the control in a buffer

The latest version of this document can be found at lazarus-ccr.sourceforge.net .